
          ИЗМЕНЕНИЯ И  ДОБАВЛЕНИЯ  ДЛЯ  НОВЫХ  ВЕРСИЙ  ПО "АРВИД-1000".

  V3.46:
         - реализована поддеpжка  функции  автоматической  подстpойки
           фазы пpиема (pаботает только на новейшей модификации 1031);
	 - доpаботана возможность обработки ошибок чтения c диска при
           записи данных на ленту (несчитанные  с  диска  пpи  записи
           сектоpа показываются пpи чтении коpичневым цветом);
	 - исправлены следующие ошибки: зависание при выполнении  пе-
	   рехода  "STOP->EJECT"  (под WINDOWS'95 и OS/2),  аварийное
           завершение поиска (под DOS), зависание на ЭВМ с  процессо-
           ром 80286.

  V3.45:
         - реализован поиск файлов с case insensitive контекстом опи-
           сания;
         - добавлен флаг,  позволяющий сохранять на диске старые  ог-
           лавления лент;
         - введена возможность иной,  чем ранее обработки ошибок чте-
           ния с  диска  и  открытия  файлов призаписи (при установке
           флага в arvid.cfg).  При этом вместо отмены всей  операции
           записи на месте несчитанных данных будут писаться bad-бло-
           ки, которые можно выявить при верификации;
         - введена проверка на достаточность места на ленте для запи-
           си. В случае нехватки выдается сообщение об ошибке;
         - введена возможность задания длины инициализируемого участ-
           ка ленты;
	 - введена команда просмотра файла arvid.rpt;
	 - добавлен  флаг  отдачи  неиспользуемых квантов времени при
	   работе в мультизадачных средах;
	 - в программу avvcr введена возможность задения величины от-
	   ката назад при идентификации ленты;
	 - в программу  avcomstr  введена  возможность идентификации,
	   инициализации и размонтирования ленты.

  V3.40:
         - реализована новая утилита инсталляции программного обеспе-
           чения INSTALL.EXE;
         - реализована новая версия  драйвера  для  контроллера  "Ар-
           вид-1010",  совместимая  с текущей версией ПО;  реализован
           драйвер для контроллера "Арвид-1030";
         - реализованы варианты AVSHELL и AVCOMSTR,  работающие в за-
           щищенном режиме DOS (интерфейс DPMI16). Варианты, работаю-
           щие в реальном режиме, поставляются отдельно;
         - реализована утилита восстановления оглавления ленты  путем
           просмотра ее  содержимого (AVRECOVR).  Внесены изменения в
           другие программы для эффективной поддержки ее работы;
         - введен новый формат файла параметров ВМ (.vcr). В нем пре-
           дусмотрены переходы включения/выключения ВМ,  выброса кас-
           сеты, прямой переход PLAY->REC.  В связи с этим исправлен-
           ный редактор файлов параметров ВМ называется теперь AVVCR.
           В состав ПО включена программа-конвертор форматов VCT2VCR;
         - введен  более  гибкий  формат  файла  конфигурации  ПО AR-
           VID.CFG. Реализована утилита изменения конфигурации AVCON-
           FIG;
         - изменен формат файла ARVID.RPT;
         - введен файл цветовой палитры;
         - вместо универсального теста введены отдельные  тесты конт-
           роллеров  (AVTEST10,AVTEST20,AVTEST30),  более   тщательно
           тестирующие аппаратуру и учитывающие специфические особен-
           ности контроллеров;
         - для реализации части функций  упраздненного  теста  AVTEST
           реализована утилита выдачи ИК-команд AVIRC;
         - для устранения конфликта имен исполнимых модулей  программ
           и вызывающих  их  bat-файлов  программы  AVSETUP.EXE,  AV-
           COMSTR.EXE переименованы в _AVSETUP.EXE и _AVCOMST.EXE. По
           этой-же причине  исполнимый модуль утилиты AVRECOVR назван
           _AVRECOV.EXE;
         - реализовна утилита DELDESCR,  позволяющая исправить дефект
           оглавления, иногда возникающий при переходе с версии  2.XX
           на 3.XX;
         - в ПОС реализованы режимы копирования,  работающие с архив-
           ным битом; все флаги задания режимов копирования сведены в
           одну панель "Параметры копирования". Соответствующие ключи
           введены в AVCOMSTR;
         - реализована возможность работы с файлами, имеющими атрибу-
           ты "Скрытый" и "Системный"; соответствующая опция добавле-
           на в панель конфигурации и соответствующий ключ добавлен в
           AVCOMSTR;
         - для избежания неоднозначности в толковании терминов отныне
           процесс поиска и считывания копии оглавления с ленты  име-
           нуется "Считывание оглавления с ленты" (англ.  Restore), а
           термином "Восстановление оглавления" (англ.  Recover) име-
           нуется процесс, реализуемый утилитой AVRECOVR;
         - реализована пара команд "Позиционировать ленту на оглавле-
           ние" и "Считать оглавление с ленты без поиска",  позволяю-
           щая ускорить процесс переноса ленты с одного комплекса  на
           другой;
         - команда отмены отложенных действий  выделена  в  отдельный
           пункт меню;
         - часто используемое копирование на NUL выделено в отдельную
           команду "Верифицировать";
         - введен контроль за размером свободной оперативной  памяти.
           В случае ее нехватки ПОС предпринимает меры по немедленно-
           му выполнению отложенных действий;
         - введена  выдача  звукового сигнала по окончании длительных
           операций с лентой;
         - введена отдача квантов времени в режиме ожидания ввода при
           работе под DESQVIEW,WINDOWS,OS/2;
         - введена  возможность  спецификации программы,  запускаемой
           после старта драйвера,  по PATH или путем задания  полного
           path-имени;
         - введена  возможность остановки операции чтения при возник-
           новении фатальной ошибки с сохранением  успешно  считанных
           данных;
         - введена возможность дозаписи файлов, не прошедших верифика-
           цию;
         - реализован поиск файлов по всем оглавлениям лент.

  V3.22:
         Исправлены ошибки, обнаруженные в предыдущей версии.
  V3.21:
         - введена поддержка записи информации о файлах на ленте вну-
           три записи, что позволит в будущем восстанавливать оглавле-
           ние ленты путем просмотра ее содержимого;
         - введена возможность оперативного изменения фазы приема во
           время чтения;
         - устранена несовместимость c Windows при работе с контролле-
           ром "АрВид-1020".

  V3.20:
         В ПОС:
         - введена поддержка многоязычия: все сообщения программ со-
           держатся в отдельном файле;
         - реализован режим "copy newer files only";
         - добавлена возможность "распахивания" всех типов панелей;
         - введена альтернатива "Продолжить" при обработке фатальных
           ошибок чтения;
         - введено отображение вероятности ошибки.

         По-новому реализован редактор AVVCT.

  V3.12:
         В  ПОС  реализован  алгоритм копирования директорий без
         предудаления уже существующих.

         В интерфейсе "командная строка"  добавлена  возможность
         распечатки оглавлений лент без обязательной идентифика-
         ции.

         Исправлены некоторые ошибки в программе AVSETUP.

  V3.11:
         Исправлены некоторые неточности в драйвере.

  V3.10:
         Расширены функции драйвера для "АрВид-1010",  позволяю-
         щие работать с ним новым программам AVSETUP и AVTEST.

         Программа AVSET20 и AVTEST20 переименованы в AVSETUP  и
         AVTEST и поставляются с обеими версиями контроллеров.

         Введен режим верификации записи путем сравнения  инфор-
         мации на ленте с информацией на диске.

         Расширен набор  параметров конфигурации ПОС и он сведен
         в одну панель "Конфигурация". Предусмотрена возможность
         сохранения текущей конфигурации программы.

         Улучшен контроль  за переполнением дискового пространс-
         тва при записи временных файлов.

  V3.07:
         Исправлены ошибки, обнаруженные в предыдущей версии.

         В программе AVSET20 добавлены функции уточнения параме-
         тров ВМ.
  V3.06:
         Исправлены ошибки, обнаруженные в предыдущей версии.

  V3.05:
         Реализован набор  программ,  поддерживающих  работу   с
         контроллером "АрВид-1020":  ARVID20, AVLOAD20, AVSET20,
         AVTEST20.  Соответствующие программы  для  "АрВид-1010"
         переименованы в ARVID10,  AVLOAD10,  AVSET10 и AVTEST10
         соответственно.

         Расширен формат оглавления ленты.

         Введена возможность задания описания файлов и  директо-
         рий.

         Введена возможность  удаления  последней  записи,  если
         произошел аппаратный сбой.

         Скорректированы алгоритмы "ремонта" ленты.

  V2.10:
         Изменен алгоритм чтения информации с ленты в  программе
         AVCOPIER, вследствие чего мучавший многих пользователей
         откат ВМ при переходе от одного участка  к  другому  не
         производится. Вместо этого по мере успешного считывания
         информации производится сдвиг участка.

         Введен параметр "MaxRetries=" в файле ARVID.CFG для ог-
         раничения числа  повторных  проходов при считывании ин-
         формации.

         Введен параметр "TimeOut=" в файле ARVID.CFG,  задающий
         время  ожидания драйвером информации в секундах.  Изме-
         нять значение этого параметра (12 с) не рекомендуется.

         Добавлен быстрый поиск файлов в панели (имя  набирается
         на клавиатуре).

         Исправлена ошибка, из-за которой иногда происходил сбой
         операции чтения при нажатии Tab.

  V2.06:
         Исправлены ошибки, обнаруженные в предыдущей версии.

  V2.05:
         Добавлены следующие возможности:
           - доступ к устройствам DOS через файловые функции
             INT21H;
           - интерфейс командной строки;
           - подключение внешних программ просмотра файлов;
           - выделенные клавиши для вызова пунктов меню;

         В состав  ПО  введен редактор файлов параметров видео-
      магнитофонов.

      В программу AVSETUP добавлен анализ  ИК-последовательнос-
      тей пультов ВМ AKAI J40 и JVC DX20.


  V1.20:
         Добавлены следующие возможности:

           - загрузка каталога ленты и его просмотр;
           - быстрый поиск файлов по маске (с возможностью сох-
             ранения результатов поиска в файле);
           - сравнение каталогов;
           - сохранение выделения файлов после различных опера-
             ций;
           - автоматическая перемотка в начало ленты перед ини-
             циализацией и восстановлением оглавления
           - сортировка содержимого каталогов по длине и време-
             ни создания.

         В программе AVSETUP введен режим "тренировочного" вво-
      да ИК-команды с трансляцией ИК-команд на излучатель.  До-
      бавлена проверка канала Записи-Воспроизведения перед раз-
      меткой тестовой ленты и установка оптимальной фазы  прие-
      ма.


  V1.12:
         Поддерживаются ИК-команды для ВМ,  имеющих немодулиро-
      ванный ИК сигнал:  например TELEFUNKEN 5930,  ВМ-18, ВМ с
      пультами на базе ИМС 1506ХЛ1.

         Перед разметкой  тестовой  ленты  в  программе AVSETUP
      введена проверка канала Запись-Воспроизведение ВМ.

   V1.11:
         Обеспечена работоспособность  ИК-команд  на  некоторых
      "капризных" ВМ ( например, фирм JVC,DAEWOO ).

         Изменен отсчет времени для ВМ,  в  которых  необходимо
      удержание клавиш во время операции,  т.е.  во время уско-
      ренного  PLAY.  Этим   отличаются,   например   PANASONIC
      L25,J35,возможно J40,J12.  В этом случае, вероятно, необ-
      ходимо выполнить AVSETUP:  в ручном режиме перемерить па-
      раметры   ускоренного   PLAY.   Необходимость  выполнения
      AVSETUP проверьте экспериментально: ВМ не должен ошибать-
      ся больше чем раньше при ускоренном PLAY.

         Изменен формат тестовой ленты для AVSETUP.


  V1.10:
         Введена операция переименования файлов и директорий  с
      возможностью одновременного  переноса в пределах устройс-
      тва.

         Введен режим контроля записи:  сразу после записи пор-
      ции информации  запускается  операция контрольного чтения
      только что записанной информации на nul-устройство. Режим
      может быть отключен пользователем.

         Введен новый  формат ленты.  В нем для более надежного
      контроля данных использован CRC32 вместо CRC16 в предыду-
      щем.  Поддерживаются оба формата, но все новые ленты ини-
      циализируются с CRC32.  Если лента записана в старом фор-
      мате, то она продолжается с CRC16.

         Изменен алгоритм  обработки  клавиши  <TAB> при чтении
      информации с ленты:  при ее нажатии чтение участка  сразу
      заканчивается   и  осуществляется  переход  к  следующему
      участку.

         Изменен отсчет времени для ВМ,  в  которых  необходимо
      удержание клавиш во время операции,  т.е.  во время уско-
      ренного  PLAY.  Этим   отличаются,   например   PANASONIC
      L25,J35,возможно J40,J12.  В этом случае, вероятно, необ-
      ходимо выполнить AVSETUP:  в ручном режиме перемерить па-
      раметры   ускоренного   PLAY.   Необходимость  выполнения
      AVSETUP проверьте экспериментально: ВМ не должен ошибать-
      ся больше чем раньше при ускоренном PLAY.

         Устранены замеченные ошибки версии 1.00:
      - конфликт с программой SHARE;
      - некорректности реализации операции копирования, в част-
        ности с копированием в то-же место;
      - невозможность удаления read-only файлов с ленты;
      - и др.

  V1.01:
         Внесены следующие изменения в программе AVSETUP:

         Проверка работоспособности переходов состояний При не-
      работоспособности  перехода пользователю предоставлен вы-
      бор: либо переввод ИК-клавиш перехода, либо коррекция са-
      мого перехода.

         Добавлено отображение  в  правом  верхнем  углу экрана
      состояния ВМ.

         Добавлено отображение результатов измерения параметров
      ВМ

         Предотвращена возможность  перемотки  ленты за границу
      разметки при измерении параметров перемотки.

         Обеспечена работоспособность в момент, когда Ваши часы
      начинают отсчет новых суток.

         Устранена возможность неверной разметки тестовой ленты
      на некоторых машинах.

  V1.00:
         Первая коммерческая версия ПОС.  Обеспечивает выполне-
      ние основных  операций  по  монтированию  (идентификация,
      инициализация и  восстановление оглавления) и размонтиро-
      ванию ленты, копированию информации (файлов и директорий)
      с диска на диск, с диска на ленту и с ленты на диск, уда-
      лению информации. Реализован механизм отложенного копиро-
      вания информации на ленту и обратно. Возможна верификация
      ранее записанной на ленте информации путем копирования ее
      на nul-устройство. Драйвер поддерживает работу с контрол-
      лерами "Арвид-1000" и "Арвид-1010".

         Программа AVSETUP.   Реализована    полуавтоматическая
      настройка на любой тип видеомагнитофона:  задание таблицы
      переходов состояний ВМ,  ввод ИК-клавиш с пульта ДУ, про-
      верка их работоспособности,  разметка тестовой ленты, из-
      мерение временных характеристик ВМ.


